%define mono_ver 2.6.2
%define mono_dir %{_prefix}/lib/mono
Summary: Visual Basic .NET support for Mono
Summary(ja): Mono 用 Visual Basic .NET サポート
Name: mono-basic
Version: %{mono_ver}
Release: 1%{?_dist_release}
Group: Development/Languages
License: GPL, LGPL, MIT X11
URL: http://www.mono-project.com/
Source0: http://mono.ximian.com/monobuild/preview/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: mono-core >= %{mono_ver}
Requires: mono-winforms mono-web
Requires: mono-data mono-locale-extras
BuildRequires: mono-core >= %{mono_ver}
BuildRequires: mono-winforms mono-web
BuildRequires: mono-data mono-locale-extras
#define __find_provides %{_bindir}/mono-find-provides
#define __find_requires %{_bindir}/mono-find-requires

%description
This package contains the Visual Basic .NET compiler and language
runtime. This allows you to compile and run VB.NET application and
assemblies.

%if 0
%define gac_dll(dll)  %{mono_dir}/gac/%{1} \
  %{mono_dir}/?.0/%{1}.dll \
  %{nil}
%define mono_bin(bin) %{_bindir}/%{1} \
  %{mono_dir}/?.0/%{1}.exe \
  %{mono_dir}/?.0/%{1}.exe.* \
  %{nil}
%define mono_bin_1(bin, dll) %{_bindir}/%{1} \
  %{mono_dir}/1.0/%{2}.exe \
  %{mono_dir}/1.0/%{2}.exe.* \
  %{nil}
%define mono_bin_2(bin, dll) %{_bindir}/%{1} \
  %{mono_dir}/2.0/%{2}.exe \
  %{mono_dir}/2.0/%{2}.exe.* \
  %{nil}
%endif

%prep
%setup -q

%build
./configure --prefix=%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_bindir}/vbnc
%{mono_dir}/2.0/Microsoft.VisualBasic.dll
%{mono_dir}/2.0/vbnc.exe
%{mono_dir}/2.0/vbnc.exe.mdb
%{mono_dir}/2.0/vbnc.rsp
%{mono_dir}/gac/Microsoft.VisualBasic
%{_mandir}/man1/*

%changelog
* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.2-1
- updated mono-basic to 2.6.2

* Sun Dec 27 2009 Shu KONNO <owa@bg.wakwak.com> 2.6-1
- updated mono-basic to 2.6

* Wed Jul 08 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.2-2
- rebuilt with latest rpm to update mono-dependencies

* Thu Jul 02 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.2-1
- updated mono-basic to 2.4.2

* Tue Mar 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4-1
- new upstream release

* Wed Sep 17 2008 Shu KONNO <owa@bg.wakwak.com> 2.0-1vl5
- updated mono-basic to 2.0
- added BuildArch: noarch
- changed url

* Tue Aug 26 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.5-1vl5
- applied new versioning policy, spec in utf-8

* Sat Sep 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.5-0vl1
- initial build for Vine
- splited from mono package

